Your best friend for file transfer.

Fetch application logoFetch

Fetch 5.7 now available! (36 posts)

  • Started 3 years ago by Jim Matthews
  • Latest reply 2 years ago from Jim Matthews
  • Jim Matthews Administrator

    We're pleased to announce that Fetch 5.7, offering better control of your file transfer tasks, is now available. The major improvements in this release are:

    • Added support for syncing shortcuts using Dropbox or a shared file server
    • Added support for displaying the overall progress and time remaining of multi-file transfers
    • Added support for preserving the modification date of uploaded files
    • Added find field for filtering transfer window file lists

    For a complete list of changes between Fetch 5.7 and our previous release, Fetch 5.6, see the Fetch 5.7 Release Notes.

    Fetch 5.7 includes all the improvements of Fetch 5.5 and 5.6 as well, such as:

    • Improved Edit command — you can now edit any kind of file using any application and the changes will automatically be saved back to the server
    • Added Quick Look support for previewing files on servers (Mac OS X 10.5 and later only)
    • Added automatic resume of stalled or failed uploads and downloads
    • Made Get Info quicker by not calculating folder sizes until you ask for them
    • Support for gestures on laptop trackpads
    • Redesigned Recent Folders menu to improve readability and display of folder hierarchy
    • Changed file list to remember the last sorting choice
    • And dozens of other fixes and improvements; see the overall list of Fetch 5.7 changes for a complete list

    Upgrades are free for registered users of Fetch 5.5 or later, and for customers who purchased Fetch after January 28, 2009. You can download Fetch 5.7 free of charge and your serial number will work with it.

    Otherwise, registered users of any version of Fetch 5.3.1 or earlier can upgrade to Fetch 5.6 for the discounted price of $10. For more information, see our purchasing page.

    Fetch 5.7 is compatible with Intel Macs running Mac OS X 10.5 or later, including Mac OS X 10.7 Lion and Mac OS X 10.6 Snow Leopard.

    Please let us know if you have any questions!

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Farnham Lefferts Member

    Have tried twice to upgrade (2 copies, using coupon for one) from 4.0.3. Am getting a PHP error message on a page saying to try again. Any thoughts?

    Farnham

    Posted 3 years ago #

  • Jim Matthews Administrator

    Hi,

    I apologize -- we had a temporary outage of our purchasing system. Could you try one more time?

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Debbie Member

    I installed 5.7, but it crashes every time I try to open it. I've got Lion.

    Posted 3 years ago #

  • Jim Matthews Administrator

    Hi Debbie,

    Thanks for letting us know about this problem. When Fetch crashes does the system show you a crash report?

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Debbie Member

    Yes, it does - I'll report it through that.
    Debbie

    Posted 3 years ago #

  • Jim Matthews Administrator

    If you submit from the crash report window it only goes to Apple. To send it to us, submit it here:

    http://fetchsoftworks.com/fetch/feedback

    Thanks!

    Posted 3 years ago #

  • Scott Member

    It is crashing every time for me as well in Lion. Come on, guys.

    I used the official support form on your site and submitted the report. You need to fix this before you lose otherwise loyal customers.

    Posted 3 years ago #

  • Barbara Member

    I just purchased Fetch version 5.7 (upgrading from 4.0.3). When I try to open the Fetch installer I get a message that it is not supported on my architecture (I run OS X 10.4.11 on a G5 PowerPC). The documentation states that it is supposed to run on OS X 10.4 or later. What is going on?

    Posted 3 years ago #

  • Jim Matthews Administrator

    Scott: Thanks for sending the report -- we'll investigate immediately.

    Barbara: Fetch 5.7 requires an Intel Mac running 10.5 or later. We failed to update one piece of documentation (the read me file on the disk image), and are working to correct that. If you saw any other incorrect documentation, please let us know. You can download Fetch 5.6 from http://fetchsoftworks.com/fetch/download -- it will run on your system, and has most of the improvements since your old version.

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Dan Member

    Are you saying now files uploaded don't reflect the timestamp of when they were uploaded, but rather show the last modified date of the file? Please tell me I misunderstood you...

    Posted 3 years ago #

  • Dan Member

    I just found the setting in Obscure to change this back to it's default state (Do not preserve modification dates). Thank you for giving us an option. My workflow is based on the old way and this would have been a deal breaker if I couldn't change it back.

    btw, working fine in Lion 10.7.2.

    Edited 3 years ago #

  • Jane Member

    I currently have Fetch 5.2.1 and trying to install 5.7. I'm getting a message ":The operation cannot be completed because you do not have sufficient privileges for some of the items". I'm running Mac OS X 10.5.8. Please advise

    Posted 3 years ago #

  • Jim Matthews Administrator

    Hi Jane,

    I would recommend these steps:

    1) Quit Fetch 5.2.1 if it is running
    2) Drag Fetch 5.2.1 to the Trash
    3) Install Fetch 5.7

    Does that work?

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Jane Member

    Loaded ok, but can't open "..not supported on this architecture"

    Posted 3 years ago #

  • Jim Matthews Administrator

    Fetch 5.7 requires an Intel Mac. If you still have a PowerPC Mac you can download Fetch 5.6 from http://fetchsoftworks.com/fetch/download

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Jane Member

    Thanks.

    Posted 3 years ago #

  • Scott Member

    To all Lion Users: It is the 3ivx video codec, as posted here: http://fetchsoftworks.com/fetch/messageboard/fetch-57-crashes-on-lion#post-23266

    Posted 3 years ago #

  • Serena Member

    I'm running OS X 10.6.8 (Snow Leopard) on an Intel Core i3 and I'm also having problems.
    After updating from Fetch 5.6 to Fetch 5.7 the application won't even start now. It crashes as soon as it tries to open and does not give me the crash log.

    I tried to uninstall it and reinstall, as suggested on this thread, but it did not work.

    Advice?

    Posted 3 years ago #

  • Jim Matthews Administrator

    Hi Serena,

    Could you contact support at http://fetchsoftworks.com/fetch/feedback ? We'll try to figure out what's going on.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • eyew Member

    It is crashing every time for me as well in Lion
    am really upset, i work with this
    i use Fetch for a long time but am done with you

    Posted 3 years ago #

  • Jim Matthews Administrator

    Hi eyew,

    Please submit the crash log at http://fetchsoftworks.com/fetch/feedback and we'll investigate.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 3 years ago #

  • Andrew Regan Member

    Hi Jim,

    Any news on the crash situation? I can recreate at least one issue without fail, and come what may, I don't think I've been able to keep the app running for more than a few minutes since the upgrade.

    Long-term Fetch user, running 5.7 on Lion, no 3ivx. Have submitted lots of crash logs via Apple, but I guess they haven't come through. Happy to send to you by email if that would help?

    HTH

    Posted 3 years ago #

  • Jim Matthews Administrator

    Hi Andrew,

    Please submit a crash log at http://fetchsoftworks.com/fetch/feedback and we'll take a look. Crash logs that go to Apple don't come to us, unfortunately, unless you're running the App Store version of Fetch.

    Thanks!

    Posted 3 years ago #

  • Lesli Cohen Member

    I am having the crash problem with every launch of the new 5.7 update. EVERY TIME.

    I have submitted my crash log in a feedback email.

    Thank you.

    Posted 3 years ago #

  • Jim Matthews Administrator

    Thanks for submitting the crash log. It looks like another case of the 3ivx issue (Flip video cameras included 3ivx video software that causes a number of applications, including Fetch, to crash on Lion).

    Posted 3 years ago #

  • JTodd Member

    I'm using Mac OS 10.7.2. The new Fetch crashes every time. But based on the previous comments, you know that by now. Hopefully it gets fixed quickly. Otherwise we'll need to move to another FTP app.

    Posted 2 years ago #

  • Jim Matthews Administrator

    Hi JTodd,

    If you send an email to bugs@fetchsoftworks.com I can send you an experimental copy of Fetch that does not have this problem.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 2 years ago #

  • Andrew Regan Member

    Hi Jim,

    Any news on when this fix will get released? I'm still using 5.6 I downgraded to, and it's a bit annoying to get the announcement about the latest 5.7 every time I launch (I know, I can turn it off). Is the experimental version you've got doing the trick? If so, I'd like a copy, if its release isn't just around the corner.

    Thanks, a

    Posted 2 years ago #

  • Jim Matthews Administrator

    Hi Andrew,

    Please send a note to the address above to request a copy of the experimental version.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 2 years ago #